list = { ...
    'train(); "Trains with the default parameters, help train for more info"', ... 
    'test(0, 1:5); "Tests digit 0 of all samples with the trained phonemes. help test for more info"', ... 
    'Scenario: Similar phoneme sequences of digit 4 with "accumulateIfNew" training method', ...                   
    'Scenario: Diferent phoneme sequences because of different pronunciation of digit 5 with "accumulateDigitsAndCluster" training method', ...                   
    'Scenario: Complex sequence of phonems of digit 9 with "accumulateAllAndCluster" training method' ...                   
};
promptString = 'Select the operation in the list dialog';
disp(promptString)
[indx, tf] = listdlg('ListString', list, ... 
    'SelectionMode', 'single', ... 
    'PromptString', promptString, ... 
    'OKString', 'Run', ... 
    'Name', 'MFCC Features of speech', ...
    'ListSize', [800 100] ... 
    );
if tf
    disp('Running...')
    switch indx
        case 1
            train();
        case 2
            test(0, 1:5);
        case 3
            run('presentation1')
        case 4
            run('presentation2')
        case 5
            run('presentation3')
    end
end
disp('Done')